#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int x1, x2, y1, y2;
    cin >> x1;
    cin >> y1;
    cin >> x2;
    cin >> y2;
    
    if(x1 == x2 || y1 == y2)
    {
        cout << 2;
    }
    else
    {
        long long int razlx = abs(x2-x1);
        long long int razly = abs(y2-y1);
        if(razlx == razly)
        {
            cout << 1;
        }
        else
        {
            cout << 0;
        }
    }

    return 0;
}